Installer - Bug #32529

The installer does not update the katello-ca-consumer-latest symlink to the latest RPM once the
bootstrap RPM's release is greater than 9.
Category: Foreman modules
Description

Associated revisions

Revision 9b769afc - 05/06/2021 11:50 AM - Eric Helms
Fixes #32529: Find latest bootstrap RPM by sorting as integer

The code that finds the maximum (latest) bootstrap RPM was doing

so via a lexical sort which resulted in incorrect ordering for

what should be latest and thus the 9th RPM was always latest. For
example, once the 10th RPM was generated the order went: 1,10,2,3 etc.

This change moves to parsing out the digits (in case there are alphabet

characters present from the dist) in the release, converting to
integers and then sorting.

History

#1 - 05/05/2021 04:43 PM - Eric Helms

- Subject changed from The installer does not update the katello-ca-consumer-latest symlink to the latest RPM once the bootstrap RPM's release is
greater than 9.
to The installer does not update the katello-ca-consumer-latest symlink to the latest RPM once the bootstrap RPM's release is greater than 9.

- Status changed from New to Assigned

- Target version set to 2.5.0

#2 - 05/05/2021 04:48 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy content/pull/355 added

#3 - 05/06/2021 11:50 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 05/06/2021 12:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|9b769afcde9fa08ff17fa41d6{302e6c2bdec097.

#5 - 05/20/2021 05:43 PM - Amit Upadhye
- Target version deleted (2.5.0)

#6 - 05/20/2021 05:48 PM - Amit Upadhye
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy_content/revisions/9b769afcde9fa08ff17fa41d6f302e6c2bdec097

- Target version set to 2.5.0

- Fixed in Releases 2.5.0 added

#7 - 08/24/2021 10:06 AM - Amit Upadhye

- Category set to Foreman modules

05/21/2024 22


http://www.tcpdf.org

